SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001062SiT!reportspublic2010-02-10 20:412010-03-27 12:30
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.60 LTSFixed in Version3.60 LTS 
Summary0001062: report_incidents_by_skill.php pie chart wrong
DescriptionIf you run this report the pie chart always shows 100% for others even though its 0% reproduced with latest svn (3.x)
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000738closed chart is covered up with one color 

-  Notes
User avatar (0002345)
paulh (administrator)
2010-02-10 20:55

Appears to be draw_chart_image in functions.inc.php which is drawing the chart incorrectly
User avatar (0002346)
ivan (administrator)
2010-02-11 10:12

Originally reported in this forum thread http://sitracker.org/forum/viewtopic.php?f=4&t=1416980 [^]
User avatar (0002352)
paulh (administrator)
2010-02-11 21:48

Identified this happens when you have an item on the pie which has a percentage of 0% so potentially effects anywhere in SiT! where pies are used
User avatar (0002376)
paulh (administrator)
2010-02-14 13:10

r6082 resolves in 3.x and trunk

- Issue History
Date Modified Username Field Change
2010-02-10 20:41 paulh New Issue
2010-02-10 20:55 paulh Note Added: 0002345
2010-02-11 10:12 ivan Note Added: 0002346
2010-02-11 10:12 ivan Status new => confirmed
2010-02-11 21:48 paulh Note Added: 0002352
2010-02-13 12:20 paulh Status confirmed => assigned
2010-02-13 12:20 paulh Assigned To => paulh
2010-02-14 13:10 paulh Note Added: 0002376
2010-02-14 13:10 paulh Status assigned => resolved
2010-02-14 13:10 paulh Resolution open => fixed
2010-02-14 13:10 paulh Fixed in Version => Current SVN
2010-02-14 13:10 paulh Target Version => 3.60
2010-03-25 21:41 paulh Relationship added has duplicate 0000738
2010-03-27 11:16 ivan Fixed in Version Current SVN => 3.60 LTS
2010-03-27 12:30 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker